
public class Class459 {

   static Class459 aClass459_5722 = new Class459(0);
   static Class459 aClass459_5723 = new Class459(2);
   public static Class459 aClass459_5724 = new Class459(1);
   public int anInt5725;
   static int anInt5726;
   static Class8 aClass8_5727;


   public static Class459 method7736(int var0) {
      Class459[] var1 = Class29.method854((byte)101);

      for(int var2 = 0; var2 < var1.length; ++var2) {
         Class459 var3 = var1[var2];
         if(1300379885 * var3.anInt5725 == var0) {
            return var3;
         }
      }

      return null;
   }

   public static Class459 method7737(int var0) {
      Class459[] var1 = Class29.method854((byte)127);

      for(int var2 = 0; var2 < var1.length; ++var2) {
         Class459 var3 = var1[var2];
         if(1300379885 * var3.anInt5725 == var0) {
            return var3;
         }
      }

      return null;
   }

   static Class459[] method7738() {
      return new Class459[]{aClass459_5724, aClass459_5722, aClass459_5723};
   }

   static Class459[] method7739() {
      return new Class459[]{aClass459_5724, aClass459_5722, aClass459_5723};
   }

   static Class459[] method7740() {
      return new Class459[]{aClass459_5724, aClass459_5722, aClass459_5723};
   }

   static Class459[] method7741() {
      return new Class459[]{aClass459_5724, aClass459_5722, aClass459_5723};
   }

   public static Class459 method7742(int var0) {
      Class459[] var1 = Class29.method854((byte)69);

      for(int var2 = 0; var2 < var1.length; ++var2) {
         Class459 var3 = var1[var2];
         if(1300379885 * var3.anInt5725 == var0) {
            return var3;
         }
      }

      return null;
   }

   Class459(int var1) {
      this.anInt5725 = var1 * -2062490395;
   }

   public static Class459 method7743(int var0) {
      Class459[] var1 = Class29.method854((byte)85);

      for(int var2 = 0; var2 < var1.length; ++var2) {
         Class459 var3 = var1[var2];
         if(1300379885 * var3.anInt5725 == var0) {
            return var3;
         }
      }

      return null;
   }

   static final void method7744(PacketBuffer var0, int var1) {
      int var2 = 0;
      var0.method16031(159360161);

      int var3;
      int var4;
      int var5;
      for(var3 = 0; var3 < -583589671 * Class184.anInt2209; ++var3) {
         var4 = Class184.anIntArray2204[var3];
         if(0 == (Class184.aByteArray2212[var4] & 1)) {
            if(var2 > 0) {
               --var2;
               Class184.aByteArray2212[var4] = (byte)(Class184.aByteArray2212[var4] | 2);
            } else {
               var5 = var0.readBits(1, 1817698825);
               if(0 == var5) {
                  var2 = Class94.method1839(var0, 1686765659);
                  Class184.aByteArray2212[var4] = (byte)(Class184.aByteArray2212[var4] | 2);
               } else {
                  Class109.method2187(var0, var4, -1589424143);
               }
            }
         }
      }

      var0.method16033(1658546058);
      if(0 != var2) {
         throw new RuntimeException();
      } else {
         var0.method16031(721584104);

         for(var3 = 0; var3 < Class184.anInt2209 * -583589671; ++var3) {
            var4 = Class184.anIntArray2204[var3];
            if((Class184.aByteArray2212[var4] & 1) != 0) {
               if(var2 > 0) {
                  --var2;
                  Class184.aByteArray2212[var4] = (byte)(Class184.aByteArray2212[var4] | 2);
               } else {
                  var5 = var0.readBits(1, 1660790687);
                  if(var5 == 0) {
                     var2 = Class94.method1839(var0, 1686765659);
                     Class184.aByteArray2212[var4] = (byte)(Class184.aByteArray2212[var4] | 2);
                  } else {
                     Class109.method2187(var0, var4, -460010409);
                  }
               }
            }
         }

         var0.method16033(1956761255);
         if(0 != var2) {
            throw new RuntimeException();
         } else {
            var0.method16031(149971181);

            for(var3 = 0; var3 < Class184.anInt2211 * 1078781289; ++var3) {
               var4 = Class184.anIntArray2205[var3];
               if(0 != (Class184.aByteArray2212[var4] & 1)) {
                  if(var2 > 0) {
                     --var2;
                     Class184.aByteArray2212[var4] = (byte)(Class184.aByteArray2212[var4] | 2);
                  } else {
                     var5 = var0.readBits(1, 2131911077);
                     if(0 == var5) {
                        var2 = Class94.method1839(var0, 1686765659);
                        Class184.aByteArray2212[var4] = (byte)(Class184.aByteArray2212[var4] | 2);
                     } else if(Class567.method12051(var0, var4, -613469990)) {
                        Class184.aByteArray2212[var4] = (byte)(Class184.aByteArray2212[var4] | 2);
                     }
                  }
               }
            }

            var0.method16033(1877929799);
            if(var2 != 0) {
               throw new RuntimeException();
            } else {
               var0.method16031(-321276051);

               for(var3 = 0; var3 < 1078781289 * Class184.anInt2211; ++var3) {
                  var4 = Class184.anIntArray2205[var3];
                  if(0 == (Class184.aByteArray2212[var4] & 1)) {
                     if(var2 > 0) {
                        --var2;
                        Class184.aByteArray2212[var4] = (byte)(Class184.aByteArray2212[var4] | 2);
                     } else {
                        var5 = var0.readBits(1, 2000834490);
                        if(var5 == 0) {
                           var2 = Class94.method1839(var0, 1686765659);
                           Class184.aByteArray2212[var4] = (byte)(Class184.aByteArray2212[var4] | 2);
                        } else if(Class567.method12051(var0, var4, -417472658)) {
                           Class184.aByteArray2212[var4] = (byte)(Class184.aByteArray2212[var4] | 2);
                        }
                     }
                  }
               }

               var0.method16033(1863371151);
               if(var2 != 0) {
                  throw new RuntimeException();
               } else {
                  Class184.anInt2209 = 0;
                  Class184.anInt2211 = 0;

                  for(var3 = 1; var3 < 2048; ++var3) {
                     Class184.aByteArray2212[var3] = (byte)(Class184.aByteArray2212[var3] >> 1);
                     Class515_Sub1_Sub4_Sub4_Sub1 var6 = client.aClass515_Sub1_Sub4_Sub4_Sub1Array7799[var3];
                     if(null != var6) {
                        Class184.anIntArray2204[(Class184.anInt2209 += -387227799) * -583589671 - 1] = var3;
                     } else {
                        Class184.anIntArray2205[(Class184.anInt2211 += 1784806105) * 1078781289 - 1] = var3;
                     }
                  }

               }
            }
         }
      }
   }

   public static int method7745(int var0, int var1, int var2, int var3, int var4, int var5, int var6) {
      if((var5 & 1) == 1) {
         int var7 = var3;
         var3 = var4;
         var4 = var7;
      }

      var2 &= 3;
      return var2 == 0?var1:(var2 == 1?7 - var0 - (var3 - 1):(var2 == 2?7 - var1 - (var4 - 1):var0));
   }

   static final int method7746(int var0, int var1, int var2) {
      return var1 < 0?var0:(int)((double)var0 * Math.sqrt((double)(16384 - var1) * 1.220703125E-4D) + 0.5D);
   }
}
